Bug 1197135 - f22 TC6 live KDE x86_64 installs openbox, sddm defaults to openbox as a session on first boot
Summary: f22 TC6 live KDE x86_64 installs openbox, sddm defaults to openbox as a sessi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: initial-setup
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Kolman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F22AlphaFreezeException F22Blocker-kde 1192182
TreeView+ depends on / blocked
 
Reported: 2015-02-27 14:59 UTC by Branko Grubić
Modified: 2015-03-07 00:06 UTC (History)
8 users (show)

Fixed In Version: initial-setup-0.3.31-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-07 00:06:14 UTC


Attachments (Terms of Use)
first boot login screen (524.23 KB, image/png)
2015-02-27 14:59 UTC, Branko Grubić
no flags Details
use kwin_x11 for kde/plasma spin (#1197135) (2.18 KB, patch)
2015-02-27 15:06 UTC, Rex Dieter
no flags Details | Diff

Description Branko Grubić 2015-02-27 14:59:22 UTC
Created attachment 996083 [details]
first boot login screen

Description of problem:
After install of Fedora-Live-KDE-x86_64-22_Alpha-TC6.iso sddm starts and default session is 'openbox'.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Rex Dieter 2015-02-27 15:06:10 UTC
Created attachment 996084 [details]
use kwin_x11 for kde/plasma spin (#1197135)

git am'able patch

Comment 2 Fedora Blocker Bugs Application 2015-02-27 15:26:26 UTC
Proposed as a Freeze Exception for 22-alpha by Fedora user rdieter using the blocker tracking app because:

 initial-setup on kde spin is pulling in openbox and setting that as default session.  Proof-of-concept initial-setup patch is available in the aforementioned bug.

Comment 3 Adam Williamson 2015-03-02 21:25:19 UTC
The patch would cause i-s to use kwin instead of openbox, I think, but wouldn't actually change any dependencies?

Comment 4 Petr Schindler 2015-03-02 21:26:43 UTC
Discussed at today's blocker review meeting [1].

This bug was rejected as Freeze Exception - This bug can easily be fixed with an update at a later date and doesn't actually *break* anything. Rejected as a Freeze Exception.

http://meetbot.fedoraproject.org/fedora-blocker-review/2015-03-02/

Comment 5 Rex Dieter 2015-03-02 22:17:08 UTC
Re: comment #3

Correct.

Comment 6 Adam Williamson 2015-03-03 01:20:51 UTC
So far as the dependency goes, initial-setup-gui Requires: firstboot(windowmanager). That's provided by:

[adamw@adam live]$ sudo repoquery --whatprovides "firstboot(windowmanager)"
metacity-0:3.12.0-2.fc22.x86_64
marco-0:1.9.90-1.fc22.x86_64
kde-workspace-0:4.11.16-1.fc22.x86_64
openbox-0:3.5.2-6.fc22.x86_64
enlightenment-0:0.17.6-2.fc22.x86_64
xfwm4-0:4.10.1-4.fc22.x86_64

however, kde-workspace seems to be a dead package:

[adamw@adam comps (master %)]$ sudo repoquery --whatobsoletes kde-workspace
plasma-desktop-0:5.2.0-5.fc22.i686
plasma-desktop-0:5.2.0-5.fc22.x86_64
plasma-workspace-0:5.2.0-8.fc22.i686
plasma-workspace-0:5.2.0-8.fc22.x86_64
kde-workspace-common-0:4.11.16-2.fc22.noarch

So I think you need to make whatever is now KDE's window manager (kwin?) provide 'firstboot(windowmanager)', as well as the patch.

Comment 7 Rex Dieter 2015-03-03 01:24:28 UTC
Sorry, I should have been more specific.  You're right of course, and we added the Provides to the 'kwin' pkg recently:
http://koji.fedoraproject.org/koji/buildinfo?buildID=615764

It will be included when plasma-5.2.1 hits -updates-testing

Comment 8 Kevin Kofler 2015-03-03 15:27:06 UTC
> This bug was rejected as Freeze Exception - This bug can easily be fixed with
> an update at a later date and doesn't actually *break* anything. Rejected as a
> Freeze Exception.

It breaks something: Openbox gets picked up as the default session on an installed system. And that cannot be fixed in an update because there's no way to remove openbox without obsoleting it for everyone, which is clearly not wanted.

Comment 9 Rex Dieter 2015-03-03 15:28:13 UTC
re-assigning to initial-setup, apparently I forgot to do that when submitting the patch here to support plasma5's kwin_x11

Comment 10 Kevin Kofler 2015-03-03 15:28:40 UTC
(see also https://bugzilla.redhat.com/show_bug.cgi?id=1197135 , which doesn't seem to be DNF's fault if this is the issue)

Comment 11 Kevin Kofler 2015-03-03 15:31:18 UTC
Please reconsider for at least freeze exception as per comment #8.

Comment 12 Kevin Kofler 2015-03-03 15:33:20 UTC
(Oh, and ignore comment #10, this *is* bug #1197135, LOL.)

Comment 13 Adam Williamson 2015-03-03 15:55:24 UTC
yeah, for my part I didn't entirely understand the impact from the description given in the meeting. Changing my vote to +1 FE for a tested fix. But we have bigger fish to fry right now...

Comment 14 satellitgo 2015-03-03 17:01:07 UTC
if mine counts +1FE for a tested fix also

Comment 15 Mike Ruckman 2015-03-03 22:01:49 UTC
+1 FE for a tested fix as well.

Comment 16 Adam Williamson 2015-03-03 22:13:37 UTC
Changing to AcceptedFreezeException.

Comment 17 Vratislav Podzimek 2015-03-04 08:23:22 UTC
Martin, can you please git-am the attached patch and build new version of initial-setup? The patch looks good to me.

Comment 18 Martin Kolman 2015-03-04 10:00:10 UTC
(In reply to Vratislav Podzimek from comment #17)
> Martin, can you please git-am the attached patch and build new version of
> initial-setup? The patch looks good to me.

Sure! :)

Comment 19 Fedora Update System 2015-03-04 16:29:16 UTC
initial-setup-0.3.31-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/initial-setup-0.3.31-1.fc22

Comment 20 Rex Dieter 2015-03-04 16:36:29 UTC
Can you add kwin-5.2.0.1-3.fc22 to the update please?

It includes the necessary
Provides: 
to make this work 100%

Comment 21 Martin Kolman 2015-03-04 16:56:21 UTC
(In reply to Rex Dieter from comment #20)
> Can you add kwin-5.2.0.1-3.fc22 to the update please?
> 
> It includes the necessary
> Provides: 
> to make this work 100%

I tried to do that but it tells me that I don't have commit access do kwin and thus can't do it.

Comment 22 Adam Williamson 2015-03-04 18:32:41 UTC
Fix confirmed with https://admin.fedoraproject.org/updates/initial-setup-0.3.31-1.fc22 (including kwin). I get graphical i-s and default SDDM session is Plasma.

Comment 23 Fedora Update System 2015-03-07 00:06:14 UTC
initial-setup-0.3.31-1.fc22, kwin-5.2.0.1-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.